콘텐츠로 건너뛰기
ShopentlyLearn

고객 요청 업데이트

API 요청 한 번으로 고객 요청 상태, 기록된 환불 금액 또는 둘 다 변경합니다.

PATCH/api/v1/requests/{request_id}

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/requests/request-0000 \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-request-update' \
  --header 'Content-Type: application/json' \
  --data-raw '{"refund":{"amount":"25.00","expected_version":0},"status":{"expected_version":1,"status_id":"request-accepted"}}'

응답

{
  "data": {
    "deleted": false,
    "id": "request-0000",
    "version": null,
    "versions": {
      "refund": 1,
      "status": 2
    }
  },
  "meta": {
    "request_id": "example"
  }
}

필수 권한

최소 요금제
BASIC
키 권한
요청 관리returns.request:update요청의 환불 금액 변경payments.request_refund:adjust_amount